/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.mss;

import java.net.DatagramPacket;

import jgroup.relacs.events.Event;

/**
 * The <code>EhandlerUser</code> interface
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.1
 */
interface EhandlerUser
{

  public void rreceive(DatagramPacket msg);

  public void lreceive(Event object);

  public void treceive(ScheduledEvent event);

} // END EhandlerUser

