/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.mss;

/**
 * The <code> Token  </code> class
 *
 * @author  Salvatore Cammarata
 * @since Jgroup 1.2
 */
final class Token 
{
        
  /**
   *  
   */
  synchronized void sleep(long delay) 
  {
    try {
      wait(delay);
    } catch (Exception e) {
      System.err.println("WARNING WAKED");
    }
    
  }

  /**
   *  
   */
  synchronized void stop() 
  {
    try {
      wait();
    } catch (InterruptedException e) { }
    notifyAll();
  }
                                    
  /**
   *  
   */
  synchronized void go() 
  {
    notifyAll();
  }

} // END Token
